## ide-lsp-symbol-node ide-lsp-symbol-node |

## Functions

const gchar * | ide_lsp_symbol_node_get_parent_name ()
gboolean | ide_lsp_symbol_node_is_parent_of ()

## Types and Values

#define | IDE_TYPE_LSP_SYMBOL_NODE
| IdeLspSymbolNode

## Object Hierarchy

        GObject
        ╰── IdeSymbolNode
            ╰── IdeLspSymbolNode

## Description

## Functions

### ide_lsp_symbol_node_get_parent_name ()

    const gchar *
    ide_lsp_symbol_node_get_parent_name (IdeLspSymbolNode *self);

### ide_lsp_symbol_node_is_parent_of ()

    gboolean
    ide_lsp_symbol_node_is_parent_of (IdeLspSymbolNode *self,
                                      IdeLspSymbolNode *other);

## Types and Values

### IDE_TYPE_LSP_SYMBOL_NODE

    #define IDE_TYPE_LSP_SYMBOL_NODE (ide_lsp_symbol_node_get_type())

### IdeLspSymbolNode

    typedef struct _IdeLspSymbolNode IdeLspSymbolNode;